package vn.hus.nlp.fsm.fst;

import java.util.logging.ConsoleHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import vn.hus.nlp.fsm.ConfigurationEvent;
import vn.hus.nlp.fsm.ISimulatorListener;
import vn.hus.nlp.fsm.Simulator;
import vn.hus.nlp.fsm.State;

public class FSTSimulator extends Simulator
{
  protected FST fst;
  protected FSTConfiguration configuration = null;
  protected SimulatorLogger logger = null;
  private final boolean DEBUG = false;

  public FSTSimulator(FST paramFST)
  {
    this.fst = paramFST;
  }

  protected FSTConfiguration next(FSTConfiguration paramFSTConfiguration)
  {
    FSTConfiguration localFSTConfiguration = null;
    State localState1 = paramFSTConfiguration.getCurrentState();
    String str1 = paramFSTConfiguration.getUnprocessedInput();
    String str2 = paramFSTConfiguration.getCurrentOutput();
    int i = str1.length();
    if (i > 0)
    {
      char[] arrayOfChar = localState1.getOutTransitionInputs();
      char c = str1.charAt(0);
      for (int j = 0; j < arrayOfChar.length; j++)
      {
        if (arrayOfChar[j] != c)
          continue;
        State localState2 = this.fst.getNextState(localState1, c);
        String str3 = this.fst.getNextOutput(localState1, c);
        if (localState2 == null)
          continue;
        if (str1.length() > 0)
        {
          str1 = str1.substring(1);
          str2 = str2 + str3;
        }
        localFSTConfiguration = new FSTConfiguration(localState2, paramFSTConfiguration, paramFSTConfiguration.getTotalInput(), str1, str2);
      }
    }
    return localFSTConfiguration;
  }

  public FSTConfiguration track(String paramString)
  {
    FSTConfiguration localFSTConfiguration;
    for (this.configuration = new FSTConfiguration(this.fst.getInitialState(), null, paramString, paramString, ""); this.configuration != null; this.configuration = localFSTConfiguration)
    {
      localFSTConfiguration = next(this.configuration);
      if (localFSTConfiguration == null)
        return this.configuration;
    }
    return this.configuration;
  }

  public boolean accept(String paramString)
  {
    FSTConfiguration localFSTConfiguration = track(paramString);
    return (localFSTConfiguration.getCurrentState().isFinalState()) && (localFSTConfiguration.getUnprocessedInput().length() == 0);
  }

  public String run(String paramString)
  {
    FSTConfiguration localFSTConfiguration = track(paramString);
    return localFSTConfiguration.getCurrentOutput();
  }

  class SimulatorLogger
    implements ISimulatorListener
  {
    private final Logger logger = Logger.getLogger(FSTSimulator.class.getName());

    public SimulatorLogger()
    {
      this.logger.addHandler(new ConsoleHandler());
      this.logger.setLevel(Level.INFO);
    }

    public void update(ConfigurationEvent paramConfigurationEvent)
    {
      this.logger.log(Level.INFO, paramConfigurationEvent.toString());
    }
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.fst.FSTSimulator
 * JD-Core Version:    0.6.0
 */